function OnSceneEnter()
-- rozpoczecie dialogu przy pierwszym wejsciu
	if s.s01_0301_irene_visit==0 then
		Sleep(500)
		Dialog("dlg_s01_14")
		Delete("i_granitetile_one")
		Sleep(500)
		Sound("snd_go_s01_0300_laboratory")
		GoTo("s01_0300_laboratory")
	end
-- rozpoczecie dialogu po rozwiazaniu I zagadki
	if s.s01_0303_balance_solved==1 and s.dlg_s01_11==0 then
		Sleep(500)
		Dialog("dlg_s01_11")
		Sleep(500)
		Sound("snd_go_s01_0300_laboratory")
		GoTo("s01_0300_laboratory")
	end	
-- rozpoczecie dialogu po rozwiazaniu II zagadki
	if s.s01_0304_burner_solved==1 and s.dlg_s01_15==0 then
		Sleep(500)
		Dialog("dlg_s01_15")
		Sleep(500)
		Widgets.notes_window.AddEntry(8)
		Sound("snd_go_s01_0300_laboratory")
		GoTo("s01_0300_laboratory")
	end	
	
end
